Bug 426994 - X doesn't start on savage-based IBM T23
Summary: X doesn't start on savage-based IBM T23
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-savage
Version: rawhide
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-29 16:37 UTC by Joachim Kunze
Modified: 2018-04-11 13:23 UTC (History)
3 users (show)

Fixed In Version: 2.2.0-2.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-13 15:25:16 UTC


Attachments (Terms of Use)
/var/log/Xorg.0.log (8.94 KB, text/plain)
2007-12-29 16:37 UTC, Joachim Kunze
no flags Details
X backtrace for IBM ThinkPad T23 and current rawhide (5.31 KB, text/plain)
2008-01-01 10:18 UTC, Joachim Frieben
no flags Details
xorg.conf (1.01 KB, application/octet-stream)
2008-01-21 17:15 UTC, Joachim Kunze
no flags Details
Xorg.0.log with no xorg.conf (12.33 KB, text/plain)
2008-01-21 17:16 UTC, Joachim Kunze
no flags Details

Description Joachim Kunze 2007-12-29 16:37:35 UTC
Description of problem:
After upgrading my T23 from F8 to rawhide (it worked perfectly fine with F3-F8
so far), X doesn't start and also system-config-display runs into an error.
There seems to be a bug in either the xorg-x11-drv-savage package or the AGP
implementation.

Version-Release number of selected component (if applicable):

xorg-x11-drv-savage-2.1.3-99.20071210

Attached you'll find /var/log/Xorg.0.log

Comment 1 Joachim Kunze 2007-12-29 16:37:35 UTC
Created attachment 290528 [details]
/var/log/Xorg.0.log

Comment 2 Joachim Frieben 2008-01-01 10:18:26 UTC
Created attachment 290604 [details]
X backtrace for IBM ThinkPad T23 and current rawhide

This is the backtrace as returned by gdb after installing the
relevant debuginfo packages [xorg-x11-server, xorg-x11-drv-savage,
glibc, and glibc-common].

It is very suspicious that it is -not- even possible to rebuild the
savage driver package on a current rawhide system. Compilation aborts
with the following output:

savage_dri.c: In function 'SAVAGEDRIScreenInit':
savage_dri.c:896: warning: cast to pointer from integer of different size
savage_dri.c:1439:25: error: attempt to use poisoned "ALLOCATE_LOCAL"
savage_dri.c:1441:29: error: attempt to use poisoned "ALLOCATE_LOCAL"
savage_dri.c:1443:10: error: attempt to use poisoned "DEALLOCATE_LOCAL"
savage_dri.c:1474:25: error: attempt to use poisoned "ALLOCATE_LOCAL"
savage_dri.c:1475:29: error: attempt to use poisoned "ALLOCATE_LOCAL"
savage_dri.c:1477:23: error: attempt to use poisoned "DEALLOCATE_LOCAL"
savage_dri.c:1478:24: error: attempt to use poisoned "DEALLOCATE_LOCAL"
savage_dri.c:1480:7: error: attempt to use poisoned "DEALLOCATE_LOCAL"
savage_dri.c:1481:7: error: attempt to use poisoned "DEALLOCATE_LOCAL"
savage_dri.c:1536:9: error: attempt to use poisoned "DEALLOCATE_LOCAL"
savage_dri.c:1537:9: error: attempt to use poisoned "DEALLOCATE_LOCAL"
savage_dri.c:1540:9: error: attempt to use poisoned "DEALLOCATE_LOCAL"
savage_dri.c:1541:9: error: attempt to use poisoned "DEALLOCATE_LOCAL"
make[2]: *** [savage_dri.lo] Error 1

Comment 3 Matěj Cepl 2008-01-10 15:09:01 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) to the bug report
as individual uncompressed file attachments using the bugzilla file attachment
link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 4 Joachim Kunze 2008-01-21 17:15:26 UTC
Created attachment 292386 [details]
xorg.conf

Comment 5 Joachim Kunze 2008-01-21 17:16:34 UTC
Created attachment 292387 [details]
Xorg.0.log with no xorg.conf

Comment 6 Joachim Frieben 2008-02-01 23:09:35 UTC
Xorg still aborts as described in comment #2 after upgrading to:
 xorg-x11-server-Xorg-1.4.99.1-0.19.20080107.fc9
 xorg-x11-drv-savage-2.1.3-100.20071210.fc9

Comment 7 Joachim Kunze 2008-02-23 14:55:58 UTC
After upgrading to the following packages I still encounter the same problems:
xorg-x11-drv-savage-2.1.3-101.20071210.fc9
xorg-x11-server-Xorg-1.4.99.1-0.23.20080222.fc9

Comment 8 Joachim Frieben 2008-03-02 12:57:13 UTC
Reported upstream as https://bugs.freedesktop.org/show_bug.cgi?id=14774

Comment 9 Joachim Frieben 2008-03-03 08:54:34 UTC
After updating xorg-x11-drv-savage-2.1.3-101.20071210.fc9 to current git
as of 2008-03-02, X still crashes at start-up.

Comment 10 Joachim Frieben 2008-03-20 21:07:52 UTC
No improvement for latest "rawhide" packages:
xorg-x11-drv-savage-2.2.0-1.fc9
xorg-x11-server-Xorg-1.4.99.901-10.20080314.fc9

Comment 11 Joachim Frieben 2008-04-21 20:27:29 UTC
No improvement for latest "rawhide" packages:
xorg-x11-drv-savage-2.2.0-1.fc9
xorg-x11-server-Xorg-1.4.99.901-22.20080415.fc9
kernel-2.6.25-1.fc9

Comment 12 David Robinson 2008-05-09 13:01:41 UTC
I too have a T23 and cannot get X to start using xorg-x11-drv-savage-2.2.0-1.fc9.

(EE) SAVAGE(0): Internal error: cound[sic] not map aperture range (7, argument
list too long)

Using Google turns up links to these two patches:
http://patches.ubuntu.com/by-release/extracted/ubuntu/x/xserver-xorg-video-savage/1:2.1.3-5/02_temporary_revert_pciaccess.diff
http://lists.freedesktop.org/archives/xorg/2008-April/034537.html


Comment 13 Dave Airlie 2008-05-10 05:13:36 UTC
I think I've fixed this please try the packages from
http://koji.fedoraproject.org/packages/xorg-x11-drv-savage/2.2.0/2.fc9/

when they finish building. if it works I'll push a 0-day update for Fedora.

Comment 14 Joachim Kunze 2008-05-10 07:43:21 UTC
Good news - the new package xorg-x11-drv-savage-2.2.0-2.fc9.i386.rpm has fixed
the issue and the savage driver works in 2d fine for me, just the gnome
brightness-control applet doesn't work.

The drawback is still, that the desktop effects can't be switched on within gnome.



Comment 15 Fedora Update System 2008-05-12 00:20:26 UTC
xorg-x11-drv-savage-2.2.0-2.fc9 has been submitted as an update for Fedora 9

Comment 16 Fedora Update System 2008-05-13 15:25:14 UTC
xorg-x11-drv-savage-2.2.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2008-07-26 06:10:29 UTC
xorg-x11-drv-savage-2.2.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Joachim Kunze 2008-07-26 06:47:37 UTC
The bug can be closed - it was tested on 3 laptops and it works perfectly fine !


Note You need to log in before you can comment on or make changes to this bug.